org.apache.ignite.internal.portable

## Class BinaryInternalIdMapper

- java.lang.Object
- - org.apache.ignite.internal.portable.BinaryInternalIdMapper

All Implemented Interfaces:
  BinaryIdMapper

    public class BinaryInternalIdMapper
    extends Object
    implements BinaryIdMapper

Internal ID mapper. Mimics ID mapper interface, but provides default implementation and offers slightly better performance on micro-level in default case because it doesn't need virtual calls.

### Constructor Summary

Constructors
`protected` `BinaryInternalIdMapper()` Private constructor.

### Method Summary

Methods
`static BinaryInternalIdMapper` `create(BinaryIdMapper mapper)` Create internal mapper.
`static BinaryInternalIdMapper` `defaultInstance()` Get default instance.
`int` `fieldId(int typeId, String fieldName)` Get field ID.
`int` `typeId(String typeName)` Get type ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryInternalIdMapper

    protected BinaryInternalIdMapper()

Private constructor.

### Method Detail

#### defaultInstance

    public static BinaryInternalIdMapper defaultInstance()

Get default instance.

Returns:
  Default instance.

#### create

    public static BinaryInternalIdMapper create(@Nullable
                                BinaryIdMapper mapper)

Create internal mapper.

Parameters:
  `mapper` - Public mapper.
Returns:
  Internal mapper.

#### typeId

    public int typeId(String typeName)

Get type ID.

Specified by:
  `typeId` in interface `BinaryIdMapper`
Parameters:
  `typeName` - Type name.
Returns:
  Type ID.

#### fieldId

    public int fieldId(int typeId,
              String fieldName)

Get field ID.

Specified by:
  `fieldId` in interface `BinaryIdMapper`
Parameters:
  `typeId` - Type ID.
  `fieldName` - Field name.
Returns:
  Field ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015